com.amazonaws.services.simpleworkflow.model

## Enum ContinueAsNewWorkflowExecutionFailedCause

- java.lang.Object
- - java.lang.Enum<ContinueAsNewWorkflowExecutionFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.ContinueAsNewWorkflowExecutionFailedCause

All Implemented Interfaces:
  Serializable, Comparable<ContinueAsNewWorkflowExecutionFailedCause>

    public enum ContinueAsNewWorkflowExecutionFailedCause
    extends Enum<ContinueAsNewWorkflowExecutionFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTINUE_AS_NEW_WORKFLOW_EXECUTION_RATE_EXCEEDED`
`DEFAULT_CHILD_POLICY_UNDEFINED`
`DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED`
`DEFAULT_TASK_LIST_UNDEFINED`
`DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED`
`OPERATION_NOT_PERMITTED`
`UNHANDLED_DECISION`
`WORKFLOW_TYPE_DEPRECATED`
`WORKFLOW_TYPE_DOES_NOT_EXIST`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ContinueAsNewWorkflowExecutionFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static ContinueAsNewWorkflowExecutionFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContinueAsNewWorkflowExecutionFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNHANDLED_DECISION

    public static final ContinueAsNewWorkflowExecutionFailedCause UNHANDLED_DECISION

#### WORKFLOW_TYPE_DEPRECATED

    public static final ContinueAsNewWorkflowExecutionFailedCause WORKFLOW_TYPE_DEPRECATED

#### WORKFLOW_TYPE_DOES_NOT_EXIST

    public static final ContinueAsNewWorkflowExecutionFailedCause WORKFLOW_TYPE_DOES_NOT_EXIST

#### DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final ContinueAsNewWorkflowExecutionFailedCause DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final ContinueAsNewWorkflowExecutionFailedCause DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_TASK_LIST_UNDEFINED

    public static final ContinueAsNewWorkflowExecutionFailedCause DEFAULT_TASK_LIST_UNDEFINED

#### DEFAULT_CHILD_POLICY_UNDEFINED

    public static final ContinueAsNewWorkflowExecutionFailedCause DEFAULT_CHILD_POLICY_UNDEFINED

#### CONTINUE_AS_NEW_WORKFLOW_EXECUTION_RATE_EXCEEDED

    public static final ContinueAsNewWorkflowExecutionFailedCause CONTINUE_AS_NEW_WORKFLOW_EXECUTION_RATE_EXCEEDED

#### OPERATION_NOT_PERMITTED

    public static final ContinueAsNewWorkflowExecutionFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static ContinueAsNewWorkflowExecutionFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ContinueAsNewWorkflowExecutionFailedCause c : ContinueAsNewWorkflowExecutionFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ContinueAsNewWorkflowExecutionFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ContinueAsNewWorkflowExecutionFailedCause>`

#### fromValue

    public static ContinueAsNewWorkflowExecutionFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  ContinueAsNewWorkflowExecutionFailedCause corresponding to the value